Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons.formatters
Class RecordFormatter

    java.lang.Object
      org.makumba.commons.formatters.RecordFormatter

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  RecordEditor, RecordViewer

    public class RecordFormatter

extends Object
implements Serializable

Generic formatter of Makumba data. Depending on the data type, calls specific formatters an applies them for each field of a record.

Version:
  $Id: RecordFormatter.java 3512 2009-01-02 00:21:59Z rosso_nero $
Author:
  Cristian Bogdan, Rudolf Mayer
See Also:
  Serialized Form

Field Summary
`DataDefinition` | `dd`
`String[]` | `expr`
`protected FieldFormatter[]` | `formatterArray`
`protected boolean` | `isSearchForm`

Constructor Summary
`RecordFormatter()`
`RecordFormatter(DataDefinition dd, Hashtable<String,String> names, boolean isSearchForm, Object formIdentifier)`

Method Summary
`protected String` | `applyParameters(FieldFormatter ff, Dictionary<String,Object> formatParams, String s)`
`String` | `format(int i, Object value, Dictionary<String,Object> formatParams)`
`Object` | `getFormIdentifier()`
`protected void` | `initFormatters()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dd

    public DataDefinition dd

### expr

    public String[] expr

### formatterArray

    protected transient FieldFormatter[] formatterArray

### isSearchForm

    protected boolean isSearchForm

Constructor Detail

### RecordFormatter

    public RecordFormatter()

### RecordFormatter

    public RecordFormatter(DataDefinition dd,
                           Hashtable<String,String> names,
                           boolean isSearchForm,
                           Object formIdentifier)

Method Detail

### applyParameters

    protected String applyParameters(FieldFormatter ff,
                                     Dictionary<String,Object> formatParams,
                                     String s)

### format

    public String format(int i,
                         Object value,
                         Dictionary<String,Object> formatParams)

### initFormatters

    protected void initFormatters()

### getFormIdentifier

    public Object getFormIdentifier()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20